Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [homebrew]

`homebrew` is a package manager for Mac OS X, in the spirit of Linux's `apt` or `yum`.

1
vote
0answers
23 views

FFMPEG not found on MACOS 10.13.6 after a brew install

I want to use ffmpeg to convert a video into a gif. I have installed it with brew using brew install ffmpeg --with-fdk-aac --with-ffplay --with-freetype --with-frei0r --with-libass --with-libvo-...
0
votes
0answers
19 views

Installing java8 with Homebrew

I type brew cask install java8 and it fails to download. ==> Downloading https://download.oracle.com/otn-pub/java/jdk/8u192-b12/750e1c8617c5452694857ad95c3ee #######################################...
0
votes
0answers
3 views

Getting “-bash: /home/linuxbrew/.linuxbrew/bin/cloudflare-warp: Permission denied” error

My device is Raspberry Pi 3B and OS is Raspbian Stretch Lite. I have installed linuxbrew by follow instructions on http://linuxbrew.sh. Then I installed cloudflare-warp using this command: brew ...
0
votes
1answer
83 views

Are here any problems with MacPorts and Homebrew installed together?

Here's the problem: some days ago I installed macports on my MacBook Air because I needed some c++ libraries but for some reason I wasn't able to use them. Then I upgraded my Mac to Mojave and the day ...
2
votes
1answer
206 views

Uninstall git language on macos

The last brew update installed language support for my local language, so now git is a horribly bad almost unusable translation, and I want the english version back again. How do I do this?
0
votes
0answers
60 views

All Homebrew apps returning “zsh: command not found”

All the apps get a weird behaviour when installed from Homebrew. I installed htop from brew brew install htop From terminal, I can see it when typing tab for autosuggestion: But when I press ...
0
votes
0answers
6 views

Stop homebrew formula compilation if dependency fails

My formula depends on another one as: depends_on: "libconfig" I recently experienced a problem on one of the machines when installing my package, when libconfig wasn't set up properly by homebrew: =...
1
vote
0answers
13 views

How to install non-homebrew dependencies (resources) so that they can be used for building the formula?

My formula depends on a number of libraries which I pre-compiled and distribute as tar.gz archives with headers and binaries. Now, I need these archives to be unpacked and referred to during configure ...
2
votes
1answer
133 views

Why is homebrew telling me I need to have OS X 10.10 or newer, when I'm running 10.11.6?

While trying to install android-platform-tools using homebrew on OS X 10.11.6, I encountered the following error (complete paste below): $ brew cask install android-platform-tools ==> Satisfying ...
0
votes
1answer
950 views

Homebrew “linkapps” command not found. What can replace it so I can use MacVim as default editor for some file types?

My Homebrew version is: Homebrew 1.7.1-114-g545eb91 Homebrew/homebrew-core (git revision 279277; last commit 2018-08-04) When I run: brew linkapps The response I get is: Error: Unknown command: ...
0
votes
0answers
778 views

brew install package asks to install command line tools from a path that doesn't exist

I messed up my command line tools. I already had them installed, I also installed the beta 2 macOS 10 version from the apple developers site because the command brew install putty was asking me to ...
2
votes
2answers
362 views

vim fails to load dynamic library

I just upgraded brew: brew update and brew upgrade and it broke vim. Running vim gives this error: dyld: Library not loaded: /usr/local/opt/perl/lib/perl5/5.26.2/darwin-thread-multi-2level/CORE/...
0
votes
1answer
392 views

Recent brew upgrade breaking vim

This question is closely related to this question where I got a very similar error message when launching vim after doing a brew upgrade: dyld: Library not loaded: /usr/local/opt/python/Frameworks/...
0
votes
0answers
52 views

Installing earlier versions of software with Homebrew

I am running Mac OSX 10.11 (El Capitan) and would like to avoid upgrading. When using homebrew to install macvim, I got the following error. Error: Your Xcode (7.3.1) is outdated. Please update to ...
0
votes
1answer
340 views

How should I install homebrew into /usr/local subdirectory manually?

Manual installation directions in docs.brew.sh are very brief and unsatisfactory, resulting in some errors if I try it in a subdirectory of /usr/local without using sudo. Directions in this question ...

15 30 50 per page